### Method

# Gimp ProcedureConfig set_core_object_array

since: 3.0

#### Declaration [src]

    void
    gimp_procedure_config_set_core_object_array (
      GimpProcedureConfig* config,
      const gchar* property_name,
      GObject** objects,
      gsize n_objects
    )

#### Description [src]

A function for bindings to set a `GimpCoreObjectArray` property. Setting these with `g_object_set()` or `g_object_set_property()` won’t work for the time being so all our boxed array types must be set and get using alternative functions instead.

C plug-ins should just use `g_object_set()`.

Available since: 3.0

#### Parameters

`property_name`

  Type: `const gchar*`

  The name of a `GimpParamSpecCoreObjectArray` param spec.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`objects`

  Type: An array of `GObject*`

  An array of `GObjects`.

  The length of the array is specified in the `n_objects` argument.
  The data is owned by the caller of the method.

`n_objects`

  Type: `gsize`

  The numbers of `objects`.